<template>
  <div>
    <q-input
      v-model="field.config.min"
      stack-label="Min"
      type="number"
      :min="0"
      inverted-light
      color="white"
    />
    <q-input
      v-model="field.config.max"
      stack-label="Max"
      type="number"
      :min="field.config.min || 0"
      inverted-light
      color="white"
      class="q-mt-md"
    />
    <q-input
      v-model="field.config.step"
      stack-label="Step"
      type="number"
      :min="0"
      inverted-light
      color="white"
      class="q-mt-md"
    />
  </div>
</template>

<script>
  export default {
    name: 'numberField',
    props: {
      field: {
        type: Object,
      },
    },
  };
</script>
